#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(){
    int A,B,C,R,* fp,* sp,* tp;
    char As[20],Bs[20],Cs[20],Rs[58]="";
    scanf("%d %d %d",&A,&B,&C);
    
    sprintf(As,d,A);
    sprintf(Bs,d,B);
    sprintf(Cs,d,C);
    
    if(strcmp(As,Bs)<0){
        tp = As;
        if(strcmp(Bs,Cs)<0){
            fp = Cs;
            sp = Bs;
        }else{
            fp = Bs;
            sp = Cs;
        }
    }else{
        tp = Bs;
        if(strcmp(As,Cs)<0){
            fp = Cs;
            sp = As;
        }else{
            fp = As;
            sp = Cs;
        }
    }
    strcat(Rs,fp);
    strcat(Rs,sp);
    strcat(Rs,tp);
    
    sscanf(Rs,d,&R);
    
    printf("%d",R);
    
    return 0;
}